<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.set.SettingActivity">

    <FrameLayout
        android:id="@+id/fl_fanhui"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:padding="16dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/lv_fanhui"
            tools:ignore="ContentDescription" />
    </FrameLayout>

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/settings"
        android:textColor="#001725"
        android:textSize="22sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@id/fl_fanhui"
        app:layout_constraintStart_toEndOf="@id/fl_fanhui"
        app:layout_constraintTop_toTopOf="@id/fl_fanhui" />

    <FrameLayout
        android:id="@+id/fl_rename"
        android:layout_width="match_parent"
        android:layout_height="88dp"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="40dp"
        android:background="@mipmap/setbg"
        app:layout_constraintTop_toBottomOf="@id/fl_fanhui">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="20dp"
            android:text="@string/hello_ndefault"
            android:textColor="@color/white"
            android:textSize="28sp" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="38dp"
            android:layout_gravity="center_vertical|end"
            android:layout_marginEnd="16dp"
            android:background="@drawable/bg_ffffff_10"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="8dp"
                android:src="@mipmap/bianji"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="8dp"
                android:layout_marginEnd="8dp"
                android:text="@string/rename"
                android:textColor="#08C95C"
                android:textSize="17sp" />
        </LinearLayout>

    </FrameLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintTop_toBottomOf="@id/fl_rename">

        <LinearLayout
            android:id="@+id/ll_language"
            android:layout_width="match_parent"
            android:layout_height="61dp"
            android:layout_marginTop="18dp"
            android:background="?android:attr/selectableItemBackground"
            android:clickable="true"
            android:focusable="true">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="16dp"
                android:src="@mipmap/language"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="10dp"
                android:layout_weight="1"
                android:text="@string/language"
                android:textColor="#031F2D"
                android:textSize="17sp"
                tools:ignore="HardcodedText" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="16dp"
                android:src="@mipmap/set_jiantou"
                tools:ignore="ContentDescription" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_rate_use"
            android:layout_width="match_parent"
            android:layout_height="61dp"
            android:background="?android:attr/selectableItemBackground"
            android:clickable="true"
            android:focusable="true">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="16dp"
                android:src="@mipmap/rateus"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="10dp"
                android:layout_weight="1"
                android:text="@string/rate_us"
                android:textColor="#031F2D"
                android:textSize="17sp"
                tools:ignore="HardcodedText" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="16dp"
                android:src="@mipmap/set_jiantou"
                tools:ignore="ContentDescription" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_feedback"
            android:layout_width="match_parent"
            android:layout_height="61dp"
            android:background="?android:attr/selectableItemBackground"
            android:clickable="true"
            android:focusable="true">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="16dp"
                android:src="@mipmap/feedback"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="10dp"
                android:layout_weight="1"
                android:text="@string/feedback"
                android:textColor="#031F2D"
                android:textSize="17sp"
                tools:ignore="HardcodedText" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="16dp"
                android:src="@mipmap/set_jiantou"
                tools:ignore="ContentDescription" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_about_us"
            android:layout_width="match_parent"
            android:layout_height="61dp"
            android:background="?android:attr/selectableItemBackground"
            android:clickable="true"
            android:focusable="true">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="16dp"
                android:src="@mipmap/aboutus"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="10dp"
                android:layout_weight="1"
                android:text="@string/about_us"
                android:textColor="#031F2D"
                android:textSize="17sp"
                tools:ignore="HardcodedText" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="16dp"
                android:src="@mipmap/set_jiantou"
                tools:ignore="ContentDescription" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_share_app"
            android:layout_width="match_parent"
            android:layout_height="61dp"
            android:background="?android:attr/selectableItemBackground"
            android:clickable="true"
            android:focusable="true">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="16dp"
                android:src="@mipmap/share"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="10dp"
                android:layout_weight="1"
                android:text="@string/share_app"
                android:textColor="#031F2D"
                android:textSize="17sp"
                tools:ignore="HardcodedText" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="16dp"
                android:src="@mipmap/set_jiantou"
                tools:ignore="ContentDescription" />
        </LinearLayout>

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>